GeoWmsServiceUtility (A library with several utility classes to work with geo-spatial data: WmsUrlValidator, GeoGetStyles, etc.. 1.0.0-SNAPSHOT API)
Date: 2016-01-29

org.gcube.spatial.data.geoutility

## Class GeoWmsServiceUtility

- java.lang.Object
- - org.gcube.spatial.data.geoutility.GeoWmsServiceUtility

-     public class GeoWmsServiceUtility
      extends Object

  The Class GeoWmsServiceUtility.
  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it Jan 25, 2016

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OWS`
    `static String` | `SERVICE_WMS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoWmsServiceUtility()` Instantiates a new geo service wms utility.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isOWSSerice(String wmsRequest)` Checks if is OWS serice.
    `static boolean` | `isWMSService(String wmsRequest)` Checks if is WMS service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OWS

          public static final String OWS

      See Also:
        Constant Field Values

    - #### SERVICE_WMS

          public static final String SERVICE_WMS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GeoWmsServiceUtility

          public GeoWmsServiceUtility()

      Instantiates a new geo service wms utility.

  - ### Method Detail

    - #### isWMSService

          public static boolean isWMSService(String wmsRequest)
                                      throws Exception

      Checks if is WMS service.
      Parameters:
        `wmsRequest` - the wms request
      Returns:
        true, if is WMS service
      Throws:
        `Exception` - the exception

    - #### isOWSSerice

          public static boolean isOWSSerice(String wmsRequest)
                                     throws Exception

      Checks if is OWS serice.
      Parameters:
        `wmsRequest` - the wms request
      Returns:
        true, if is OWS serice
      Throws:
        `Exception` - the exception

Copyright © 2016. All Rights Reserved.